Summary:        System V and POSIX timezone strings
Name:           perl-DateTime-TimeZone-SystemV
Version:        0.010
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DateTime-TimeZone-SystemV
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/DateTime-TimeZone-SystemV-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils, perl-generators, perl-interpreter, perl(Module::Build)
# Module Runtime
BuildRequires:  perl(Carp), perl(Date::ISO8601), perl(Params::Classify), perl(strict), perl(warnings)
# Test Suite
BuildRequires:  perl(Test::More), perl(Test::Pod) >= 1.00, perl(Test::Pod::Coverage)
# Dependencies

%description
An instance of this class represents a timezone that was specified by
means of a System V timezone recipe or the POSIX extended form of the
same syntax.  These can express a plain offset from Universal Time, or
a system of two offsets (standard and daylight saving time) switching
on a yearly cycle according to certain types of rule.
 
This class implements the DateTime::TimeZone interface, so that its
instances can be used with DateTime objects.



%prep
%autosetup -n DateTime-TimeZone-SystemV-%{version}



%build
perl Build.PL --installdirs=vendor
./Build



%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}



%check
./Build test



%files
%doc Changes README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.010-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.010-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.010-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.010-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.010-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.010-1
- Initial building.
